Permalink
Browse files

Implement signed teplate maps

Closes #98

Raises minimum required redis version to 2.4.0+ (Debian stable has 2.4.14)
  • Loading branch information...
Sandro Santilli
Sandro Santilli committed Dec 17, 2013
1 parent 84b7d78 commit 0f90d687c74e639180fb9b292945ec027d4c4d14
View
@@ -17,10 +17,8 @@ config/environments/test.js: config.status--test
check-local: config/environments/test.js
./run_tests.sh ${RUNTESTFLAGS} \
- test/unit/cartodb/req2params.test.js \
- test/acceptance/cache_validator.js \
- test/acceptance/server.js \
- test/acceptance/multilayer.js
+ test/unit/cartodb/*.js \
+ test/acceptance/*.js
check-submodules:
PATH="$$PATH:$(srcdir)/node_modules/.bin/"; \
View
11 NEWS.md
@@ -1,8 +1,15 @@
1.6.0 -- 20YY-MM-DD
-------------------
-* Update cartodb-redis dependency to "~0.3.0"
-* Add 'user_from_host' directive to generalize username extraction (#100)
+New features:
+
+ * Add 'user_from_host' directive to generalize username extraction (#100)
+ * Implement signed template maps (#98)
+
+Other changes:
+
+ * Update cartodb-redis dependency to "~0.3.0"
+ * Update redis-server dependency to "2.4.0+"
1.5.2 -- 2013-12-05
-------------------
View
@@ -21,7 +21,7 @@ Requirements
- node-0.8.x+
- PostgreSQL-8.3+
- PostGIS-1.5.0+
- - Redis 2.2.0+ (http://www.redis.io)
+ - Redis 2.4.0+ (http://www.redis.io)
- Mapnik 2.0 or 2.1
[for cache control]
View
6 app.js
@@ -18,13 +18,15 @@ if (ENV != 'development' && ENV != 'production' && ENV != 'staging' ){
var _ = require('underscore')
, Step = require('step')
- , CartodbWindshaft = require('./lib/cartodb/cartodb_windshaft');
-
+ ;
// set environment specific variables
global.settings = require(__dirname + '/config/settings');
global.environment = require(__dirname + '/config/environments/' + ENV);
_.extend(global.settings, global.environment);
+// Include cartodb_windshaft only _after_ the "global" variable is set
+// See https://github.com/Vizzuality/Windshaft-cartodb/issues/28
+var CartodbWindshaft = require('./lib/cartodb/cartodb_windshaft');
var Windshaft = require('windshaft');
var serverOptions = require('./lib/cartodb/server_options');
Oops, something went wrong.

0 comments on commit 0f90d68

Please sign in to comment.